Summary: 	Qt IDE for the J programming language
Name: 		jqt
Version:	1.4.10
Release:	1%{?dist}
License:	LGPL
URL:		https://www.jsoftware.com/
Source0:	https://github.com/jsoftware/qtide/archive/%{version}.tar.gz
BuildRequires:	gcc git qt5-qtmultimedia-devel qt5-qtnetworkauth-devel qt5-qtquickcontrols2-devel qt5-qtsvg-devel qt5-qtwebchannel-devel qt5-qtwebengine-devel qt5-qtwebsockets-devel qt5-qtwebkit-devel
Requires:	qt5-qtmultimedia qt5-qtnetworkauth qt5-qtquickcontrols2 qt5-qtsvg qt5-qtwebchannel qt5-qtwebengine qt5-qtwebsockets qt5-qtwebkit

%description
This is an unofficial community build of JQt, the Qt IDE for J.
Please see the jfondren/j COPR rpm's description for important
caveats about upgrades.

%prep
tar zxvf %{_sourcedir}/%{version}.tar.gz
ln -sf qtide-%{version} qtide
sed -i 's/qmake/qmake-qt5/' qtide/makeall.sh

%build
cd %{_builddir}/qtide
patch -fp1 <<'PATCH' || true
diff --git a/lib/base/menu.cpp b/lib/base/menu.cpp
index e1be0e8..b6a283c 100755
--- a/lib/base/menu.cpp
+++ b/lib/base/menu.cpp
@@ -1188,7 +1188,7 @@ void Note::on_winotherAct_triggered()
 void Note::on_winprojAct_triggered()
 {
   QString f=cfpath(tofoldername(editPage()->fname));
-  if ("~"==f.at(0))
+  if ('~'==f.at(0))
     f=f.mid(1);
   if (f==Id) return;
   project.open(f);
diff --git a/lib/base/pnew.cpp b/lib/base/pnew.cpp
index 788e202..bb84f7d 100644
--- a/lib/base/pnew.cpp
+++ b/lib/base/pnew.cpp
@@ -166,7 +166,7 @@ void Pnew::on_create_clicked()
   cfwrite(pf,m+p.join("\n"));
 
   QString id=tofoldername(s);
-  if ("~"==id.at(0))
+  if ('~'==id.at(0))
     id=id.mid(1);
 
   if (note == 0)
diff --git a/lib/base/utils.cpp b/lib/base/utils.cpp
index 87d32ac..68ca301 100644
--- a/lib/base/utils.cpp
+++ b/lib/base/utils.cpp
@@ -604,7 +604,7 @@ QString toprojectname(QString f)
     s=cfsname(s);
   else {
     s=tofoldername(s);
-    if ("~"==s.at(0))
+    if ('~'==s.at(0))
       s=s.mid(1);
   }
   return s;
diff --git a/main/main.pro b/main/main.pro
index e8de88b..6c2fbd2 100644
--- a/main/main.pro
+++ b/main/main.pro
@@ -71,6 +71,7 @@ win32-msvc*:QMAKE_CXXFLAGS_RELEASE -= -Zc:strictStrings
 win32-msvc*:QMAKE_CXXFLAGS_RELEASE_WITH_DEBUGINFO -= -Zc:strictStrings
 win32:!win32-msvc*:QMAKE_LFLAGS += -static-libgcc
 win32-msvc*:QMAKE_CXXFLAGS += -WX
+win32-msvc*:QMAKE_CXXFLAGS -= -Zc:strictStrings
 win32-msvc*:QMAKE_LFLAGS += /STACK:10000000
 macx:QMAKE_CXXFLAGS_WARN_ON += -Wno-unused-private-field
 macx:QMAKE_RPATHDIR +=@executable_path/../Qt/Frameworks
PATCH
./makeall.sh

%install
cd %{_builddir}/qtide
mkdir -p %{buildroot}/usr/bin/
mkdir -p %{buildroot}/usr/lib64
mkdir -p %{buildroot}/usr/share/j
mkdir -p %{buildroot}/usr/share/licenses/jqt
mkdir -p %{buildroot}/usr/share/applications
install -m 755 bin/linux-x86_64/release/jqt %{buildroot}/usr/bin/jqt
cp -p bin/linux-x86_64/release/libjqt* %{buildroot}/usr/lib64/
ln -sf libjqt.so %{buildroot}/usr/lib64/libjqt.so.9.01
install -m 644 LICENSE.LGPL %{buildroot}/usr/share/licenses/jqt/LICENSE.LGPL
install -m 644 LGPL_EXCEPTION.txt %{buildroot}/usr/share/licenses/jqt/LGPL_EXCEPTION.txt
install -m 644 lib/images/jgreen.png %{buildroot}/usr/share/j/jgreen.png
cat > %{buildroot}/usr/share/applications/jqt.desktop <<'EOF'
[Desktop Entry]
Version=1.0
Type=Application
Name=JQt
Exec=/usr/bin/jqt
Icon=/usr/share/j/jgreen.png
Comment=J QT environment
Categories=Development;IDE;
Terminal=false
EOF

%files
/usr/share/licenses/jqt/LICENSE.LGPL
/usr/share/licenses/jqt/LGPL_EXCEPTION.txt
/usr/bin/jqt
/usr/lib64/libjqt*
/usr/share/applications/jqt.desktop
/usr/share/j/jgreen.png

%changelog
* Fri Jun 12 2020 Julian Fondren <jfondren@minimaltype.com> - 2
- remove 'j' dependency (inconvenient with j vs. j-unstable)

* Wed Mar 05 2020 Julian Fondren <jfondren@minimaltype.com> - 1
- Initial COPR packaging.
